// ! Base styles --------------------------------

$scrollbar-size: 8px;
$scrollbar-border-radius: 5px;
$scrollbar-color: rgba(163, 172, 182, .5);

@import "variables";

html {
  box-sizing: border-box;
  width: 100%;
  min-height: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -ms-overflow-style: scrollbar;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  min-width: 300px;
  min-height: 100vh;
  margin: 0 auto;
  background-color: $color-background-body;
  -webkit-overflow-scrolling: touch; // for smooth scroll on iOS
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;

  @media screen and (max-width: 318px) {
    overflow-x: auto;
  }

  // custom CSS Scrollbar ------
  &::-webkit-scrollbar,
  & *::-webkit-scrollbar {
    width: $scrollbar-size;
    height: $scrollbar-size;
  }

  &::-webkit-scrollbar-thumb,
  & *::-webkit-scrollbar-thumb {
    border: 0 solid transparent;
    border-radius: $scrollbar-border-radius;
    background-color: $scrollbar-color;
  }

  &::-webkit-scrollbar-track,
  & *::-webkit-scrollbar-track {
    border-radius: $scrollbar-border-radius;
    background-color: $scrollbar-color;
  }

  &::-webkit-scrollbar-corner,
  & *::-webkit-scrollbar-corner {
    background-color: transparent;
  }
}

ul,
ol {
  padding: 0;
  margin: 0;
  list-style: none;

  li {
    list-style: none;
  }
}

img,
video {
  display: block;
  max-width: 100%;
}

input,
textarea {
  -webkit-overflow-scrolling: touch;
}

address {
  font-style: normal;
}

input:not([type = "checkbox"]):not([type = "radio"]),
textarea,
select {
  appearance: none;
}

input[type = "text"],
input[type = "number"],
select,
textarea {

  @include mq("tablet", "max") {
    font-size: 16px;
  }
}

mark {
  color: $color-secondary;
  font-weight: bold;
  background-color: transparent;
}

::selection {
  background: lighten($color-secondary, 30%);
}

/* Remove all animations and transitions for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {

  * {
    transition-duration: .01ms !important;
    animation-duration: .01ms !important;
    animation-iteration-count: 1 !important;
    scroll-behavior: auto !important;
  }
}
// -------------------------------- end base styles
